## joplin 3.1.20+ds

=== debian/changelog ===
joplin (3.1.20+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 3.1.20+ds

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 23 Oct 2024 14:40:14 +0200

joplin (3.1.18+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 3.1.18+ds
  * Refresh patches
  * Fix installation for new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 18 Oct 2024 17:40:37 +0200

joplin (3.1.17+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 3.1.17+ds
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 07 Oct 2024 17:51:05 +0200

joplin (3.1.8+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 3.1.8+ds
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 09 Sep 2024 17:27:39 +0200

joplin (3.1.3+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 3.1.3+ds
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 27 Aug 2024 12:11:27 +0200

joplin (3.0.14+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 3.0.14+ds

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 26 Jul 2024 14:37:52 +0200

joplin (3.0.12+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 3.0.12+ds
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 04 Jul 2024 14:41:25 +0200

joplin (3.0.8+ds-0kali1) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * d/upstream: Add upstream metadata

  [ Sophie Brun ]
  * New upstream version 3.0.8+ds

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 28 May 2024 17:06:35 +0200

joplin (3.0.2+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 3.0.2+ds

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 27 Mar 2024 13:29:45 +0100

joplin (2.14.19+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 2.14.19+ds
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 13 Mar 2024 14:01:53 +0100

joplin (2.14.12+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 2.14.12+ds
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 07 Feb 2024 09:34:52 +0100

joplin (2.14.11+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 2.14.11+ds
  * Refresh patches
  * Add missing build-dep libgif-dev
  * Override dh_dwz

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 30 Jan 2024 16:29:11 +0100

joplin (2.13.11+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 2.13.11+ds
  * Fix perm of @joplinapp-desktop

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 29 Dec 2023 11:47:35 +0100

joplin (2.13.7+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 2.13.7+ds

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 27 Nov 2023 11:41:29 +0100

joplin (2.13.6+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 2.13.6+ds

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 22 Nov 2023 10:26:23 +0100

joplin (2.13.5+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 2.13.5+ds
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 13 Nov 2023 11:47:46 +0100

joplin (2.13.4+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 2.13.4+ds
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 02 Nov 2023 15:43:08 +0100

joplin (2.13.3+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 2.13.3+ds
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 24 Oct 2023 16:47:51 +0200

joplin (2.13.2+ds-0kali1) kali-dev; urgency=medium

  * Remove .gitattributes from upstream tarball
  * New upstream version 2.13.2+ds
  * Refresh patches
  * Update lintian-overrides

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 18 Oct 2023 15:49:14 +0200

joplin (2.13.1-0kali1) kali-dev; urgency=medium

  * New upstream version 2.13.1
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 14 Sep 2023 14:36:45 +0200
