=== debian/control ===
Source: joplin
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 12),
               ca-certificates,
	       cmake [armhf],
               git,
               libasound2-dev,
               libatk-bridge2.0-dev,
               libatk1.0-dev,
               libatspi2.0-dev,
               libcairo2-dev,
               libcups2-dev,
               libdbus-1-dev,
               libgdk-pixbuf-2.0-dev,
	       libgif-dev,
               libgtk-3-dev,
               libnspr4-dev,
               libnss3-dev,
               libpango1.0-dev,
               libsecret-1-dev,
               libvips-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb1-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxdamage-dev,
               libxext-dev,
               libxfixes-dev,
               libxi-dev,
               libxrandr-dev,
               libxrender-dev,
               libxss-dev,
               libxtst-dev,
               npm,
	       python-is-python3,
               python3-minimal,
               rsync,
	       wget,
	       yarnpkg
Standards-Version: 4.6.0
Homepage: https://github.com/laurent22/joplin
Vcs-Browser: https://gitlab.com/kalilinux/packages/joplin
Vcs-Git: https://gitlab.com/kalilinux/packages/joplin.git

Package: joplin
Architecture: amd64 arm64
Depends: ${misc:Depends}, ${shlibs:Depends}, nodejs
Description: open source note taking and to-do application
 This package contains a free, open source note taking and to-do application,
 which can handle a large number of notes organised into notebooks. The notes
 are searchable, can be copied, tagged and modified either from the
 applications directly or from your own text editor. The notes are in Markdown
 format.
 .
 Notes exported from Evernote via .enex files can be imported into Joplin,
 including the formatted content (which is converted to Markdown), resources
 (images, attachments, etc.) and complete metadata (geolocation, updated time,
 created time, etc.). Plain Markdown files can also be imported.
 .
 The notes can be synchronised with various cloud services including Nextcloud,
 Dropbox, OneDrive, WebDAV or the file system (for example with a network
 directory). When synchronising the notes, notebooks, tags and other metadata
 are saved to plain text files which can be easily inspected, backed up and
 moved around.

Package: joplin-cli
Architecture: amd64 arm64
Depends: ${misc:Depends}, ${shlibs:Depends}, nodejs
Description: open source note taking and to-do application (CLI)
 This package contains a free, open source note taking and to-do application,
 which can handle a large number of notes organised into notebooks. The notes
 are searchable, can be copied, tagged and modified either from the
 applications directly or from your own text editor. The notes are in Markdown
 format.
 .
 Notes exported from Evernote via .enex files can be imported into Joplin,
 including the formatted content (which is converted to Markdown), resources
 (images, attachments, etc.) and complete metadata (geolocation, updated time,
 created time, etc.). Plain Markdown files can also be imported.
 .
 The notes can be synchronised with various cloud services including Nextcloud,
 Dropbox, OneDrive, WebDAV or the file system (for example with a network
 directory). When synchronising the notes, notebooks, tags and other metadata
 are saved to plain text files which can be easily inspected, backed up and
 moved around.
 .
 This package contains the Command Line Interface.
