=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%joplin-$1.tar.gz%,\
      repacksuffix=+ds,\
      dversionmangle=auto" \
   https://github.com/laurent22/joplin/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
