## joplin 3.1.24

=== debian/changelog ===
joplin (3.1.24-1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Sun, 10 Nov 2024 13:24:09 +0100
