=== debian/control ===
Source: joplin
Section: Utilities
Priority: optional
Maintainer: pavroo <pavroo@onet.eu>
Build-Depends: debhelper-compat (= 11)
Standards-Version: 4.5.0
Homepage: https://github.com/laurent22/joplin

Package: joplin
Architecture: amd64
Depends: ${misc:Depends}
Description: Joplin
 A free, open source note taking and to-do application, which can handle a large number of notes organised into notebooks. The notes are searchable, can be copied, tagged and modified either from the applications directly or from your own text editor. The notes are in Markdown format.
